Slight correction, better use always the latest version of the script:

http://anonscm.debian.org/gitweb/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git;a=blob;f=debian/cyrus-upgrade-db

(i.e. without the hash)

O.

On Wed, Jun 8, 2011 at 08:47, Ondřej Surý <ond...@sury.org> wrote:
> Hi Ross,
>
> unfortunately it won't be fixed in lenny/squeeze, but I already wrote
> an upgrade script for squeeze->wheezy.
>
> You can find it here:
>
> http://anonscm.debian.org/gitweb/?p=pkg-cyrus-imapd/cyrus-imapd-2.4.git;a=blob;f=debian/cyrus-upgrade-db;h=c7d8d55b99982b5df97e5a875d3809a9d593228c;hb=HEAD
>
> I'll keep this bug open until wheezy is out, so everybody can find it.
>
> We'll also welcome any patches to documentation for wheezy version,
> since with the upgrade script some of the README.Debian might have
> become obsolete.
>
> O.
>
> On Tue, Jun 7, 2011 at 22:58, Ross Boylan <r...@biostat.ucsf.edu> wrote:
>> Package: cyrus-common-2.2
>> Version: 2.2.13-19
>> Severity: normal
>>
>> During upgrade from lenny to squeeze debconf said
>>  Configuring cyrus-common-2.2 Modified database backends
>>  Comparison between /usr/lib/cyrus/cyrus-db-types.txt and
>>  /usr/lib/cyrus/cyrus-db-types.active shows that database
>>  backends for Cyrus IMAPd have been changed. This means that
>>  those databases for which the database backends changed might
>>  need to be converted manually to the new format, using the
>>  cvt_cyrusdb(8) utility.  Please refer to
>>  /usr/share/doc/cyrus-common-2.2/README.Debian.database for more
>>  information.  Do not start cyrmaster until you have converted
>>  the databases to the new format.
>>
>> README.Debian.database says, in part
>> 2. Find out which databases to convert:
>>   diff -u /usr/lib/cyrus/cyrus-db-types.active \
>>           /usr/lib/cyrus/cyrus-db-types.txt
>>
>>   The databases are these in the default install:
>>   DUPLICATE            /var/lib/cyrus/deliver.db
>>   MBOX                 /var/lib/cyrus/mailboxes.db
>>   TLS                  /var/lib/cyrus/tls_sessions.db
>>
>>   Don't bother upgrading the TLS database, just delete it: the information
>>   there is not reused when you stop Cyrus.
>>
>>   If the BerkeleyDB version is what was changed, you need to use the
>>   Berkeley DB upgrade utility in all db* databases.  See the manpages for
>>   db*_upgrade. Note that you need to use the db*_upgrade utility with the
>>
>> But when I do the diff I get
>> @@ -1,5 +1,5 @@
>>  ANNOTATION skiplist
>> -DBENGINE BerkeleyDB4.2
>> +DBENGINE BerkeleyDB4.7
>>  DUPLICATE berkeley-nosync
>>  MBOX skiplist
>>  PTS berkeley
>>
>>
>> There are several issues:
>> 1. I did a default install in Lenny, but I don't see what the notes say I 
>> should see.
>> 2. Despite the debconf note, it looks as if I need db*_upgrade rather than 
>> cvt_cyrusdb.
>> 3. I'm a little confused about whether I should use the db4.7_upgrade or 
>> db4.2.
>>   Though I think it has to be 4.7, and a few lines after the excerpted part 
>> of
>>   README.Debian.database db4.7_upgrade appears explicitly, though only
>>   as a "for example".
>> 4. And I'm not sure which databases to upgrade.  Also, I though the default, 
>> even in Lenny,
>>   was skiplist.
>>
>> Here's my full cyrus-db-types.active:
>> NNOTATION skiplist
>> DBENGINE BerkeleyDB4.2
>> DUPLICATE berkeley-nosync
>> MBOX skiplist
>> PTS berkeley
>> QUOTA quotalegacy
>> SEEN skiplist
>> SUBS flat
>> TLS berkeley-nosync
>>
>>
>> -- System Information:
>> Debian Release: 6.0.1
>>  APT prefers stable
>>  APT policy: (500, 'stable')
>> Architecture: amd64 (x86_64)
>>
>> Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>>
>> Versions of packages cyrus-common-2.2 depends on:
>> ii  adduser    3.112+nmu2                    add and remove users and groups
>> ii  debconf [d 1.5.36.1                      Debian configuration management 
>> sy
>> ii  dpkg       1.15.8.10                     Debian package management system
>> ii  exim4-daem 4.72-6                        lightweight Exim MTA (v4) daemon
>> ii  gawk       1:3.1.7.dfsg-5                GNU awk, a pattern scanning and 
>> pr
>> ii  libasn1-8- 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - ASN.1 library
>> ii  libc6      2.11.2-10                     Embedded GNU C Library: Shared 
>> lib
>> ii  libcomerr2 1.41.12-2                     common error description library
>> ii  libdb4.7   4.7.25-9                      Berkeley v4.7 Database 
>> Libraries [
>> ii  libgssapi2 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - GSSAPI 
>> support
>> ii  libkrb5-26 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - libraries
>> ii  libroken18 1.4.0~git20100726.dfsg.1-1+b1 Heimdal Kerberos - roken 
>> support l
>> ii  libsasl2-2 2.1.23.dfsg1-7                Cyrus SASL - authentication 
>> abstra
>> ii  libsnmp15  5.4.3~dfsg-2                  SNMP (Simple Network Management 
>> Pr
>> ii  libssl0.9. 0.9.8o-4squeeze1              SSL shared libraries
>> ii  libwrap0   7.6.q-19                      Wietse Venema's TCP wrappers 
>> libra
>> ii  libzephyr4 3.0-1                         Project Athena's notification 
>> serv
>> ii  netbase    4.45                          Basic TCP/IP networking system
>> ii  perl       5.10.1-17                     Larry Wall's Practical 
>> Extraction
>>
>> Versions of packages cyrus-common-2.2 recommends:
>> ii  cyrus-admin-2.2               2.2.13-19  Cyrus mail system - 
>> administration
>> ii  cyrus-imapd-2.2               2.2.13-19  Cyrus mail system - IMAP support
>>
>> Versions of packages cyrus-common-2.2 suggests:
>> ii  apt-listchanges           2.85.7         package change history 
>> notificatio
>> ii  cyrus-admin-2.2           2.2.13-19      Cyrus mail system - 
>> administration
>> ii  cyrus-clients-2.2         2.2.13-19      Cyrus mail system (test clients)
>> pn  cyrus-doc-2.2             <none>         (no description available)
>> ii  cyrus-imapd-2.2           2.2.13-19      Cyrus mail system - IMAP support
>> pn  cyrus-murder-2.2          <none>         (no description available)
>> pn  cyrus-nntpd-2.2           <none>         (no description available)
>> pn  cyrus-pop3d-2.2           <none>         (no description available)
>> ii  sasl2-bin                 2.1.23.dfsg1-7 Cyrus SASL - administration 
>> progra
>>
>> -- Configuration Files:
>> /etc/cyrus.conf changed:
>> START {
>>        # do not delete this entry!
>>        recover         cmd="/usr/sbin/ctl_cyrusdb -r"
>>
>>        # this is only necessary if idlemethod is set to "idled" in imapd.conf
>>        #idled          cmd="idled"
>>        # this is useful on backend nodes of a Murder cluster
>>        # it causes the backend to syncronize its mailbox list with
>>        # the mupdate master upon startup
>>        #mupdatepush   cmd="/usr/sbin/ctl_mboxlist -m"
>>        # this is recommended if using duplicate delivery suppression
>>        delprune        cmd="/usr/sbin/cyr_expire -E 3"
>>        # this is recommended if caching TLS sessions
>>        tlsprune        cmd="/usr/sbin/tls_prune"
>> }
>> SERVICES {
>>        # --- Normal cyrus spool, or Murder backends ---
>>        # add or remove based on preferences
>>        imap            cmd="imapd -U 30" listen="imap" prefork=0 maxchild=100
>>        #imaps          cmd="imapd -s -U 30" listen="imaps" prefork=0 
>> maxchild=100
>>        #pop3           cmd="pop3d -U 30" listen="pop3" prefork=0 maxchild=50
>>        #pop3s          cmd="pop3d -s -U 30" listen="pop3s" prefork=0 
>> maxchild=50
>>        #nntp           cmd="nntpd -U 30" listen="nntp" prefork=0 maxchild=100
>>        #nntps          cmd="nntpd -s -U 30" listen="nntps" prefork=0 
>> maxchild=100
>>        # At least one form of LMTP is required for delivery
>>        # (you must keep the Unix socket name in sync with imap.conf)
>>        #lmtp           cmd="lmtpd" listen="localhost:lmtp" prefork=0 
>> maxchild=20
>>        lmtpunix        cmd="lmtpd" listen="/var/run/cyrus/socket/lmtp" 
>> prefork=0 maxchild=20
>>        # ----------------------------------------------
>>        # useful if you need to give users remote access to sieve
>>        # by default, we limit this to localhost in Debian
>>        sieve           cmd="timsieved" listen="localhost:sieve" prefork=0 
>> maxchild=100
>>        # this one is needed for the notification services
>>        notify          cmd="notifyd" listen="/var/run/cyrus/socket/notify" 
>> proto="udp" prefork=1
>>        # --- Murder frontends -------------------------
>>        # enable these and disable the matching services above,
>>        # except for sieve (which deals automatically with Murder)
>>        # mupdate database service - must prefork at least 1
>>        # (mupdate slaves)
>>        #mupdate       cmd="mupdate" listen=3905 prefork=1
>>        # (mupdate master, only one in the entire cluster)
>>        #mupdate       cmd="mupdate -m" listen=3905 prefork=1
>>        # proxies that will connect to the backends
>>        #imap           cmd="proxyd" listen="imap" prefork=0 maxchild=100
>>        #imaps          cmd="proxyd -s" listen="imaps" prefork=0 maxchild=100
>>        #pop3           cmd="pop3proxyd" listen="pop3" prefork=0 maxchild=50
>>        #pop3s          cmd="pop3proxyd -s" listen="pop3s" prefork=0 
>> maxchild=50
>>        #lmtp           cmd="lmtpproxyd" listen="lmtp" prefork=1 maxchild=20
>>        # ----------------------------------------------
>> }
>> EVENTS {
>>        # this is required
>>        checkpoint      cmd="/usr/sbin/ctl_cyrusdb -c" period=30
>>        # this is only necessary if using duplicate delivery suppression
>>        delprune        cmd="/usr/sbin/cyr_expire -E 3" at=0401
>>        # this is only necessary if caching TLS sessions
>>        tlsprune        cmd="/usr/sbin/tls_prune" at=0401
>>
>>        # indexing of mailboxs for server side fulltext searches
>>        # reindex changed mailboxes (fulltext) approximately every other hour
>>        #squatter_1     cmd="/usr/bin/nice -n 19 /usr/sbin/squatter -s" 
>> period=120
>>        # reindex all mailboxes (fulltext) daily
>>        #squatter_a     cmd="/usr/sbin/squatter" at=0517
>> }
>>
>> /etc/imapd.conf changed:
>> configdirectory: /var/lib/cyrus
>> defaultpartition: default
>> partition-default: /var/spool/cyrus/mail
>> partition-news: /var/spool/cyrus/news
>> newsspool: /var/spool/news
>> altnamespace: no
>> unixhierarchysep: no
>> lmtp_downcase_rcpt: yes
>> admins: cyrus root ross
>> allowanonymouslogin: no
>> popminpoll: 1
>> autocreatequota: 0
>> umask: 077
>> sieveusehomedir: false
>> sievedir: /var/spool/sieve
>> hashimapspool: true
>> allowplaintext: yes
>> sasl_minimum_layer: 0
>> loginrealms: vm-lenny00 vm-lenny00.kvm.lan
>> sasl_pwcheck_method: auxprop
>> sasl_auto_transition: no
>> tls_ca_path: /etc/ssl/certs
>> tls_session_timeout: 1440
>> tls_cipher_list: TLSv1+HIGH:!aNULL:@STRENGTH
>> lmtpsocket: /var/run/cyrus/socket/lmtp
>> idlemethod: poll
>> idlesocket: /var/run/cyrus/socket/idle
>> notifysocket: /var/run/cyrus/socket/notify
>> syslog_prefix: cyrus
>>
>> /etc/logcheck/ignore.d.server/logcheck-cyrus2_2 [Errno 13] Permission 
>> denied: u'/etc/logcheck/ignore.d.server/logcheck-cyrus2_2'
>> /etc/logcheck/violations.ignore.d/logcheck-cyrus2_2 [Errno 13] Permission 
>> denied: u'/etc/logcheck/violations.ignore.d/logcheck-cyrus2_2'
>>
>> -- debconf information:
>>  cyrus-common-2.2/removespools: false
>> * cyrus-common-2.2/warnbackendchange:
>>
>>
>>
>> _______________________________________________
>> Pkg-Cyrus-imapd-Debian-devel mailing list
>> Pkg-Cyrus-imapd-Debian-devel@lists.alioth.debian.org
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-cyrus-imapd-debian-devel
>>
>
>
>
> --
> Ondřej Surý <ond...@sury.org>
>



-- 
Ondřej Surý <ond...@sury.org>



_______________________________________________
Pkg-Cyrus-imapd-Debian-devel mailing list
Pkg-Cyrus-imapd-Debian-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-cyrus-imapd-debian-devel

Reply via email to